{% set route = app.request.get("_route") %}


<!--Navbar-->
<nav class="navbar navbar-expand-lg fixed-top">
  <div class="container">
    <!-- Navbar brand -->
    <a class="navbar-brand" href="{{ path('blog_index') }}">
      <u>
        <h1>The Nice Blog</h1>
      </u>
    </a>

    <!-- Collapse button -->
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#basicExampleNav"
      aria-controls="basicExampleNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"><i class="fas fa-bars"></i></span>
    </button>

    <!-- Collapsible content -->
    <div class="collapse navbar-collapse" id="basicExampleNav">

      <!-- Links -->
      <ul class="navbar-nav mr-auto">
        <a class="nav-link " href="{{path('all_articles')}}">Accueil
          <span class="sr-only">(current)</span>
        </a>
        </li>
        <li class="nav-item {{ route == "/sort-id=1"  ? 'active' }}">
          <a class="nav-link" href="{{ path('new_post') }}">Ecrire un article</a>
        </li>


        <!-- Dropdown -->
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true"
            aria-expanded="false" href="{{path('all_articles')}}">Parcourir</a>
          <div class="dropdown-menu dropdown-primary" aria-labelledby="navbarDropdownMenuLink">
            <a class="dropdown-item {{ app.request.get('_route_params') == '/sort-id=1' ? 'active' }}"
              href="{{ path('sort_blogposts', {'id': 1 }) }}">Romans</a>
            <a class="dropdown-item {{ app.request.get('_route_params') == '/sort-id=2' ? 'active' }}"
              href="{{ path('sort_blogposts', {'id': 2 }) }}">Sérieux</a>
            <a class="dropdown-item {{ app.request.get('_route_params') == '/sort-id=3' ? 'active' }}"
              href="{{ path('sort_blogposts', {'id': 3 }) }}">Découverte</a>
          </div>
        </li>
      </ul>
      <!-- Links -->

      <form class="form-inline" action="{{path('search_field')}}">
        <div class="md-form my-0">
          <input type="text" class="form-control mr-sm-2 no-input-style" placeholder="Search" name="search"
            aria-label="Search">
          <i class="fas fa-search text-white ml-3" aria-hidden="Go!"></i>
        </div>
      </form>
    </div>
    <!-- Collapsible content -->
  </div>
</nav>
<!--/.Navbar-->